## indi-fishcamp 1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi-fishcamp CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(FISHCAMP REQUIRED)

set (FISHCAMP_VERSION_MAJOR 1)
set (FISHCAMP_VERSION_MINOR 1)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_fishcamp.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_fishcamp.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${FISHCAMP_INCLUDE_DIR})

include(CMakeCommon)

############# FISHCAMP STARFISH CCD ###############
set(fishcampccd_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/indi_fishcamp.cpp
)

add_executable(indi_fishcamp_ccd ${fishcampccd_SRCS})

target_link_libraries(indi_fishcamp_ccd ${FISHCAMP_LIBRARIES} ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} m ${ZLIB_LIBRARY})

install(TARGETS indi_fishcamp_ccd RUNTIME DESTINATION bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_fishcamp.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-fishcamp (1.1-2) unstable; urgency=medium

  * depends on non-free, so manually build for all architectures
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: move to debian-astro team
  * debian/control: add VCS-*

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Sep 2024 17:42:00 +0200

indi-fishcamp (1.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Dec 2021 09:42:00 +0000

=== debian/control ===
Source: indi-fishcamp
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libfishcamp-dev
	, libcfitsio-dev
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-fishcamp
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-fishcamp.git

Package: indi-fishcamp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Fishcamp Engineering CCD
 This package contains an INDI driver for CCD cameras made
 by Fishcamp Engineering.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
